if (worm_init && !worm_finished) {
    worm.unshift(spawnedEntities[0]);
    worm[0].setMaxHealth(100);
    worm[0].setHealth(100);
    worm[0].setAttackStrength(WORM_DAMAGE);
    worm[0].setTexture("boss/worm_head.png");
    
    worm_finished = true;
}
